View parameter template details

This document describes how to get a list of all parameter templates within a project and view metadata associated with each parameter template.

A parameter template acts as a container for its versions. While the parameter template stores metadata such as name and format, the individual parameter template versions hold the data payload.

Required roles

To get the permissions that you need to list parameter templates, ask your administrator to grant you the Parameter Manager Parameter Viewer (roles/parametermanager.parameterViewer) IAM role on the project, folder, or organization. For more information about granting roles, see Manage access to projects, folders, and organizations.

This predefined role contains the permissions required to list parameter templates. To see the exact permissions that are required, expand the Required permissions section:

Required permissions

The following permissions are required to list parameter templates:

  • List all the parameter templates: parametermanager.templates.list
  • View the details of a parameter template: parametermanager.templates.get

You might also be able to get these permissions with custom roles or other predefined roles.

List all parameter templates

To list all parameter templates in a project, folder, or organization, use one of the following methods:

Global parameters

Console

  1. In the Google Cloud console, go to the Parameter Manager page.

    Go to Parameter Manager

  2. Navigate to the Templates tab. You'll see a list of all the parameter templates in that project.

REST

Before using any of the request data, make the following replacements:

  • PROJECT_ID: the Google Cloud project ID

HTTP method and URL:

GET https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates

Request JSON body:

{}

To send your request, choose one of these options:

curl

Save the request body in a file named request.json, and execute the following command:

curl -X GET \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json; charset=utf-8" \
-d @request.json \
"https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates"

PowerShell

Save the request body in a file named request.json, and execute the following command:

$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }

Invoke-WebRequest `
-Method GET `
-Headers $headers `
-ContentType: "application/json; charset=utf-8" `
-InFile request.json `
-Uri "https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates" | Select-Object -Expand Content

You should receive a JSON response similar to the following:

{
  "templates": [
    {
      "name": "projects/123456789012/locations/global/templates/payment_service_blueprint",
      "createTime": "2026-03-02T09:21:02.978190Z",
      "updateTime": "2026-03-02T09:21:55.050862Z",
      "labels": {
        "env": "prod",
        "team": "payments"
      },
      "format": "TEMPLATE_FORMAT_YAML"
    },
    {
      "name": "projects/123456789012/locations/global/templates/user_profile_template",
      "createTime": "2026-03-11T10:34:25.682009Z",
      "updateTime": "2026-03-11T10:34:25.824904Z",
      "format": "TEMPLATE_FORMAT_YAML"
    }
  ]
}

Regional parameters

Console

  1. In the Google Cloud console, go to the Parameter Manager page.

    Go to Parameter Manager

  2. Navigate to the Templates tab. You'll see a list of all the parameter templates in that project.

REST

Before using any of the request data, make the following replacements:

  • PROJECT_ID: the Google Cloud project ID
  • LOCATION: the Google Cloud location of the parameters

HTTP method and URL:

GET https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates

Request JSON body:

{}

To send your request, choose one of these options:

curl

Save the request body in a file named request.json, and execute the following command:

curl -X GET \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json; charset=utf-8" \
-d @request.json \
"https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates"

PowerShell

Save the request body in a file named request.json, and execute the following command:

$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }

Invoke-WebRequest `
-Method GET `
-Headers $headers `
-ContentType: "application/json; charset=utf-8" `
-InFile request.json `
-Uri "https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates" | Select-Object -Expand Content

You should receive a JSON response similar to the following:

{
  "templates": [
    {
      "name": "projects/123456789012/locations/us-central1/templates/payment_service_blueprint",
      "createTime": "2026-03-02T09:21:02.978190Z",
      "updateTime": "2026-03-02T09:21:55.050862Z",
      "labels": {
        "env": "prod",
        "team": "payments"
      },
      "format": "TEMPLATE_FORMAT_YAML"
    },
    {
      "name": "projects/123456789012/locations/us-central1/templates/user_profile_template",
      "createTime": "2026-03-11T10:34:25.682009Z",
      "updateTime": "2026-03-11T10:34:25.824904Z",
      "format": "TEMPLATE_FORMAT_YAML"
    }
  ]
}

View parameter template details

To view the details of a specific parameter template, use one of the following methods:

Global parameters

Console

  1. In the Google Cloud console, go to the Parameter Manager page.

    Go to Parameter Manager

  2. Navigate to the Templates tab. You'll see a list of all the parameter templates in that project.

  3. Click the name of the parameter template to view its details.

  4. On the parameter template details page, click the Overview tab, where the general details and metadata associated with the parameter template are displayed.

REST

Before using any of the request data, make the following replacements:

  • PROJECT_ID: the Google Cloud project ID
  • TEMPLATE_ID: the name of the parameter template

HTTP method and URL:

GET https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates/TEMPLATE_ID

Request JSON body:

{}

To send your request, choose one of these options:

curl

Save the request body in a file named request.json, and execute the following command:

curl -X GET \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json; charset=utf-8" \
-d @request.json \
"https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates/TEMPLATE_ID"

PowerShell

Save the request body in a file named request.json, and execute the following command:

$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }

Invoke-WebRequest `
-Method GET `
-Headers $headers `
-ContentType: "application/json; charset=utf-8" `
-InFile request.json `
-Uri "https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates/TEMPLATE_ID" | Select-Object -Expand Content

You should receive a JSON response similar to the following:

{
  "name": "projects/123456789012/locations/global/templates/payment_service_blueprint",
  "createTime": "2026-03-02T09:21:02.978190Z",
  "updateTime": "2026-03-02T09:21:55.050862Z",
  "labels": {
    "env": "prod",
    "team": "payments"
  },
  "format": "TEMPLATE_FORMAT_YAML"
}

Regional parameters

Console

  1. In the Google Cloud console, go to the Parameter Manager page.

    Go to Parameter Manager

  2. Navigate to the Templates tab. You'll see a list of all the parameter templates in that project.

  3. Click the name of the parameter template to view its details.

  4. On the parameter template details page, click the Overview tab, where the general details and metadata associated with the parameter template are displayed.

REST

Before using any of the request data, make the following replacements:

  • PROJECT_ID: the Google Cloud project ID
  • LOCATION: the Google Cloud location of the parameter
  • TEMPLATE_ID: the name of the parameter template

HTTP method and URL:

GET https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates/TEMPLATE_ID

Request JSON body:

{}

To send your request, choose one of these options:

curl

Save the request body in a file named request.json, and execute the following command:

curl -X GET \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json; charset=utf-8" \
-d @request.json \
"https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates/TEMPLATE_ID"

PowerShell

Save the request body in a file named request.json, and execute the following command:

$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }

Invoke-WebRequest `
-Method GET `
-Headers $headers `
-ContentType: "application/json; charset=utf-8" `
-InFile request.json `
-Uri "https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates/TEMPLATE_ID" | Select-Object -Expand Content

You should receive a JSON response similar to the following:

{
  "name": "projects/123456789012/locations/us-central1/templates/payment_service_blueprint",
  "createTime": "2026-03-02T09:21:02.978190Z",
  "updateTime": "2026-03-02T09:21:55.050862Z",
  "labels": {
    "env": "prod",
    "team": "payments"
  },
  "format": "TEMPLATE_FORMAT_YAML"
}

What's next